Subject: Re: bug#9987: [PATCH] groups,id: add -0, --null option

From: Pádraig Brady <[email-masked]>
Date: Wed, 18 Sep 2013 20:56:05 +0100

On 09/18/2013 07:46 PM, Bernhard Voelker wrote:
> On 09/18/2013 11:43 AM, Pádraig Brady wrote:
>> However we already have this functionality from `id -Gn` so it's not
>> worth change `groups` to do this.
> 
> Hi Padraig,
> 
> thanks for confirming this - using groups(1) is already not enough
> portable among platforms.
> 
> Regarding the main discussion point, i.e. adding --zero option:
> I see the following alternatives:
> a) add the -z option only to id.c leaving groups(1) untouched.
> b) add the -z option to id.c and groups.c, but don't allow it
>    only if no USERNAME argument is given.

s/don't//

> c) add the -z option to id.c and groups.c for all cases (including
>    the unusual "double NUL" separator between the output for
>    consecutive user arguments).
> 
> To reduce further incompatibilities, I'd vote for b), i.e. adding
> it to groups(1) only for the case where it has to compatible with
> "id -Gn".
> 
> Other opinions?

I'd vote for a) actually.
That gives more incentive for people to use the standardised id(1).
groups(1) has no options at present, so I'd leave it as is.

thanks,
Pádraig